Subject: [GROW] Stephen Farrell's No Objection on draft-ietf-grow-bmp-17: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Fri, 22 Jan 2016 09:37:56 -0800

Stephen Farrell has entered the following ballot position for
draft-ietf-grow-bmp-17: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-grow-bmp/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I'm clearing my discuss as promised as you've now added
text on using IPsec that would work if someone wanted to
do that. I'm still sad that you didn't decide to write down 
how to do this over TLS, as that'd really be more likely to
be used I think. But perhaps you'll do that in future, which'd
be good. (Or if you wanted to do that for this document
still, I'd be happier:-) In any case, the discuss is cleared,
but I'm also happy to continue chatting about how to do
TLS for this if that's useful.

Old comments below, I didn't check these. Happy to chat about 
'em more, but we don't have to unless you want to.

Separate to the discuss, I have some non-blocking points,
that I think resonate with Kathleen's discuss:

Why is using TLS not a no-brainer for this?  Given the likes
of the Belgacom and Gemalto reports, I would love to
understand why people are still willing to buy and sell
equipment without such basic features. The "explanation"
that nobody needs it or nobody provides it seems off base
here - this is new code and a new interface, and the
relevant security protocols (SSH, IPsec and TLS) are all
nearly or more than 20 years old. And that is all the more
the case for a new protocol like this that is not likely in
the critical path and where the monitoring statiion may be
off to the side so the traffic flows via BMP in places where
BGP doesn't go implying different threat levels, that may
need different protection.

My best guess as to causes for now is that people are just
used to doing nothing and have done that for so long they
seem to think that doing nothing is the only possibility.
(That's how business models get disrupted isn't it?) Can you
educate me some more on this?

(And yes, I get that all the stuff as to why AO isn't
available for BGP, but this is not BGP. It's our apparent
need to keep the security level down at the "crap" marker
that I don't get.)